/*
 * The standard pcomm parameters.  Everything can be altered by using one
 * of pcomm's menus.  Although editing by hand is not encouraged, the
 * pcomm.param file is just an ASCII file.
 */

#define MAX_CDELAY	120
#define MIN_CDELAY	10
#define MAX_PAUSE	120
#define MIN_PAUSE	1
#define MAX_TIMER	20
#define MIN_TIMER	2

#define NUM_PARAM	33
#define LINE_SET	0
#define TERM_SETUP	4
#define GEN_SETUP	10
#define DELAY_TIMES	18
#define ASCII_SETUP	20
#define LD_CODES	29

struct PARAM {
				/* 0-3 used in line_set_menu() */
	int	d_baud;			/* default baud rate */
	char	d_parity;		/* default parity */
	int	d_dbits;		/* default data bits */
	int 	d_sbits;		/* default stop bits */

				/* 4-9 used in term_setup() */
	int	hot;			/* the decimal code for the hot key */
	char 	*ascii_hot;		/* ascii representation of hot key */
	char 	*d_duplex;		/* default duplex */
	char	*flow;			/* flow control */
	char	*cr_in;			/* send as carriage return */
	char	*cr_out;		/* receive carriage return as */

				/* 10-17 used in gen_setup() */
	char	*logfile;		/* default log file */
	char	*dumpfile;		/* default screen dump file */
	char	*strip;			/* strip high bit (translate table) */
	char	pause_char;		/* pause char synonym */
	char 	cr_char;		/* carriage return char synonym */
	char 	ctrl_char;		/* ctrl char synonym */
	char 	esc_char;		/* escape char synonym */
	char 	*abort;			/* destination of aborted downloads */

				/* 18-19 used in gen_setup() & delay_times() */
	int	cdelay;			/* connect delay time */
	int	pause;			/* pause between dialing attempts */

				/* 20-27 used in ascii_xfer_setup() */
	char	*lecho;			/* echo locally ? */
	char	*expand;		/* expand blank lines? */
	int	cr_delay;		/* carriage return delay (ms) */
	char	*pace;			/* pace the output ? */
	char	*cr_up;			/* send carriage return as */
	char	*lf_up;			/* send line feed as */
	int	timer;			/* Transfer timeout */
	char	*cr_dn;			/* receive carriage return as */
	char	*lf_dn;			/* receive line feed as */

				/* 28-31 used in d_revise() */
	char	*ld_plus;		/* + long distance code */
	char	*ld_minus;		/* - long distance code */
	char	*ld_at;			/* @ long distance code */
	char	*ld_pound;		/* # long distance code */
};

#ifndef MAIN
extern struct PARAM *param;
#endif /* MAIN */
